import { getChannelsAPI } from "@/apis/article"
import { useState, useEffect } from "react"

// 封装获取频道列表逻辑


function useChannel() {
    // 获取频道列表所有的逻辑
    const [channels, setChannels] = useState([])

    useEffect(() => {
        async function fetchChannels() {
          const res = await getChannelsAPI()
          setChannels(res.data.channels)
        }
        fetchChannels()
    }, [])

    // 把组件中要用到的数据return出去
    return { channels }
}

export { useChannel }
