import React from 'react'
import ReactDOM from 'react-dom/client'
import router from './router'
import { RouterProvider } from 'react-router-dom'

// 导入store
import store from './store'
// 导入store提供组件Provider
import { Provider } from 'react-redux'

import 'normalize.css'
import './index.scss'


ReactDOM.createRoot(document.getElementById('root')).render(
  <Provider store={store}>
    <RouterProvider router={router} />
  </Provider>
)
